import { defineComponent, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from 'vue';
import '../_util/hooks/index.js';
import useNamespace from '../_util/hooks/useNameSpace2.js';

var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "simple-table",
  setup(__props) {
    const ns = useNamespace("simple-table");
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "table",
        {
          class: normalizeClass(unref(ns).b())
        },
        [
          renderSlot(_ctx.$slots, "default")
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
